<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <android.support.constraint.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginEnd="16dp"
        android:layout_marginStart="16dp">

        <ImageView
            android:id="@+id/item_download_welfare_iv"
            android:layout_width="62dp"
            android:layout_height="62dp"
            android:layout_marginTop="16dp"
            android:src="@drawable/icon_lj"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="62dp"
            android:layout_marginStart="@dimen/content_padding"
            android:orientation="vertical"
            android:layout_marginTop="16dp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/item_download_welfare_btn_top"
            app:layout_constraintStart_toEndOf="@+id/item_download_welfare_iv">

            <TextView
                android:id="@+id/item_download_welfare_name_tv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:ellipsize="middle"
                android:gravity="start"
                android:maxLines="2"
                android:text="游戏名称"
                android:textColor="#444444"
                android:textSize="14sp" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="3" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/item_download_welfare_num_tv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="第充500送500"
                    android:textColor="#cc8e8e8e"
                    android:textSize="10sp" />

                <TextView
                    android:id="@+id/item_download_welfare_num_tv1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/content_padding"
                    android:text=""
                    android:textColor="#cc8e8e8e"
                    android:textSize="10sp" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <TextView
                android:id="@+id/item_download_welfare_date_tv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/content_padding_8"
                android:layout_marginTop="@dimen/content_padding_2"
                android:lines="1"
                android:text="2018/08/20"
                android:textColor="#8e8e8e"
                android:textSize="10sp" />
        </LinearLayout>

        <ImageView
            android:id="@+id/item_download_welfare_iv2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="14dp"
            android:layout_marginTop="5dp"
            app:layout_constraintEnd_toStartOf="@+id/item_download_welfare_btn_top"
            app:layout_constraintTop_toTopOf="parent"
            android:src="@mipmap/yilingq"/>
        <TextView
            android:id="@+id/item_download_welfare_money"
            android:layout_width="@dimen/find_bt_with"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="+10元"
            android:textColor="@color/txt_red"
            android:textSize="15sp"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_marginTop="21dp"
            app:layout_constraintTop_toTopOf="parent" />
        <TextView
            android:id="@+id/item_download_welfare_btn_top"
            style="@style/style_button_find"
            android:text="取消任务"
            android:visibility="invisible"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_marginTop="21dp"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/item_download_welfare_btn_center"
            style="@style/style_button_find"
            android:layout_centerInParent="true"
            android:text="取消任务"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/item_download_welfare_iv"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_marginTop="16dp"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/item_download_welfare_btn_bottom"
            style="@style/style_button_find"
            android:text="取消任务"
            android:layout_marginBottom="5dp"
            app:layout_constraintBottom_toBottomOf="@+id/item_download_welfare_iv"
            app:layout_constraintEnd_toEndOf="parent" />
    </android.support.constraint.ConstraintLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="16dp" />

    <View
        android:id="@+id/item_download_welfare_line"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginEnd="16dp"
        android:layout_marginStart="16dp"
        android:background="@color/gray_F2F2F2" />
</LinearLayout>
